
Redmine - Defect #24904

Internal error occurs on view all issues

2017-01-23 11:14 - Alex Kolesnik

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

Hi. After upgrading RM from 2.6 to 3.3.2, I'm getting the following error in the browser after clicking on "View all issues" link (

https://redmine-test-upg.mydom.com/issues):

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 Redmine's production.log is empty, while Apache's error_log has:

App 20453 stderr: ArgumentError (wrong number of arguments (given 1, expected 0)):

App 20453 stderr:   plugins/redmine_qa_contact/lib/query_patch.rb:48:in `qa_contact_available_filt

ers'

App 20453 stderr:   app/models/query.rb:247:in `build_from_params'

App 20453 stderr:   app/models/issue_query.rb:124:in `build_from_params'

App 20453 stderr:   app/helpers/queries_helper.rb:220:in `retrieve_query'

App 20453 stderr:   app/controllers/issues_controller.rb:45:in `index'

App 20453 stderr:   lib/redmine/sudo_mode.rb:63:in `sudo_mode'

App 20453 stderr:

 About my system:

# ruby bin/about

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                3.3.2.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem

Redmine plugins:

  redmine_digest                 0.2.0

  redmine_preview_attach_column  0.1.7

  redmine_qa_contact             0.0.2

  redmine_release_notes          1.2.0

  redmine_scm_hookhelpers        0.0.1

  redmine_silencer               0.4.1
  redmine_testlinklink           1.0.0

  redmine_timesheet_plugin       0.7.0

  redmine_work_time              0.2.6

 Mysql is 5.7.

No troubles when listing issues of a specific project (https://redmine-test-upg.mydom.com/projects/myproject/issues).

Please, help to fix this.

History

#1 - 2017-01-23 13:22 - Andrey Lobanov (RedSoft)

You should try without plugins, especially without this one "redmine_qa_contact".

#2 - 2017-01-23 13:24 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

#3 - 2017-01-23 13:28 - Alex Kolesnik

Andrey, thank you very much! Removing redmine_qa_contact plugin has fixed the issue!

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://redmine-test-upg.mydom.com/projects/myproject/issues
http://www.tcpdf.org

